Team

The production team is the list of users participating in a production. Each of these users has a particular Role in the production.

Roles & Permissions

You can think of roles as sets of privileges for a User within a Production.
Apart from the two default roles, (Production Administrator and Production Member) you can create custom roles.

ProductionUser

When creating a role, by ticking the appropriate boxes, you are enabling the user with that role to have certain production privileges. For complete list of possible privileges see Permissions.

When performing API calls, be aware that each call is guarded with one or multiple permissions

In the diagram below, you can see the relation between the different entities within the context described above.

Roles

Get production participants

Participants are Users that are added to the Production regardless of whether they have accepted the invitation or not.

To fetch all the users participating in a Production, use this call:

GET /production/{id}/participants

Retrieve the list of participants within the production

Details
Description

This call return JSON object containing a list of users that are on some level involved in the production.

Parameters
Path Parameters
Name Description Required Type

id

ID of the production.

✔

Long

Return Type

User

Field Name Required Type Description Format

aboutMe

✘

String

accountRoles

✘

Set of AccountRole

accounts

✘

Set of Account

activated

✘

Date

date-time

addressLine1

✘

String

addressLine2

✘

String

city

✘

String

country

✘

String

county

✘

String

created

✘

Date

The time when this resource was created

date-time

createdBy

✘

String

The request or process that created this resource

deleted

✘

Date

date-time

email

✔

String

emailHash

✘

String

firstName

✘

String

fixedLinePhone

✘

String

focus

✘

String

fullName

✘

String

hasAvatar

✘

Boolean

id

✔

Long

The id of this resource

int64

identityProvider

✘

String

lastIndexCompleted

✘

Date

date-time

lastIndexed

✘

Date

date-time

lastName

✘

String

lastSeen

✘

Date

date-time

lastUpdated

✘

Date

The time when this resource was last updated

date-time

lockedForApproval

✘

Date

date-time

lockedForReading

✘

Date

date-time

lockedForWriting

✘

Date

date-time

mobile

✘

String

modifiedBy

✔

String

The request or process responsible for the last update of this resource

nameId

✘

String

notificationSettings

✘

NotificationSettings

objectType

✘

String

The data model type or class name of this resource

passwordResetTokenTime

✘

Date

date-time

refs

✘

String

roles

✘

Set of Role

suprSendId

✘

String

type

✘

String

Enum: REGISTERED, SHARED, UNREGISTERED, ANONYMOUS,

username

✔

String

The username of the user, must be unique

version

✔

Long

The version of this resource, used for Optimistic Locking

int64

zipCode

✘

String

Content Type
  • application/json

Responses
Table 1. http response codes
Code Description Datatype

200

List of participants

User

403

The user need PRODUCTION_VIEW rights

ForbiddenError

404

The production was not found

NotFoundError

A participant is tied to a Production through a Role. This Role in turn gives access to a set of Permissions in the Production.